{% extends "base/normal.html" %}

{% comment %}
Presenter Club - Make Great Presentations, Faster
Copyright (C) 2016 Sam Parkinson <sam@sam.today>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}

{% block title %}Sign Up for Presenter Club{% endblock title %}

{% block content %}
<h1>Sign Up for Presenter Club</h1>
<p>Create presentations with great structure, and stunning slides.</p>
<form method="post">
    {% csrf_token %}
    <p>
        {{ form.email.label_tag }}
        {{ form.email.errors }}
        {{ form.email }}
    </p>
    <p>
        {{ form.password.label_tag }}
        {{ form.password.errors }}
        {{ form.password }}
    </p>
    <p>
        {{ form.username.label_tag }}
        {{ form.username.errors }}
        <div class="AttachedInput">
            <input type="text" disabled class="AttachedInput__label"
                   value="https://www.presenter.club/u/" />
            <input type="text" name="username" id="id_username"
                   placeholder="yourname"
                   class="AttachedInput__input"
                   required pattern="[a-zA-Z0-9\-@.+_']{1,30}" />
        </div>
        <span class='helptext'>{{ form.username.help_text }}</span>
    </p>

    <div>By signing up, you agree to the <a href='/terms'>Terms of Use</a>.</div>
    <input type="submit" class="special" value="Sign Up!" />
</form>
{% endblock content %}

{% block shovel %}{% endblock shovel %}
